#ifndef _eventManager

#define _eventManager


// Macros

#define GL_GLEXT_PROTOTYPES




#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <vector2.h>

#include <vector.h>

#include <time.h>

#include <event.h>

#include <stdio.h>

#include <GL/glx.h>

#include <GL/gl.h>

#include <GL/glext.h>

#include <X11/keysym.h>

#include <X11/Xlib.h>


typedef struct eventManger{

	Display * mainDisplay;

	Window mainWindow;

	Window RootWindow;

	event * lastEvent;

	clock_t lastMouseDownTime;


} eventManger;

void eventManger_constructor( eventManger * this );

event * eventManger_fetchEvent( eventManger * this );

eventManger eventManger_new(  );

eventManger * eventManger_newPointer(  );

#endif


typedef struct eventManger eventManger;



